nodejs-defs-1.1.1-alt1_7.noarch.rpm


Advertisement

Description

nodejs-defs - Static scope analysis and transpilation

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename nodejs-defs-1.1.1-alt1_7.noarch.rpm
Package name nodejs-defs
Package version 1.1.1
Package release alt1_7
Package architecture noarch
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 104.76 KB
Installed size 104.76 KB
Static scope analysis and transpilation of ES6 block scoped const and let
variables, to ES3
Node already supports `const` and `let` so you can use that today (run
`node --harmony` and `"use strict"`). `defs.js` enables you to do the same
for browser code. While developing you can rely on the experimental support
in Chrome (chrome://flags, check Enable experimental JavaScript). `defs.js`
is also a pretty decent static scope analyzer/linter.

Alternatives

Package Version Architecture Repository
nodejs-defs - - -

Requires

Name Value
/usr/bin/env -
/usr/lib/node_modules/alter -
/usr/lib/node_modules/ast-traverse -
/usr/lib/node_modules/breakable -
/usr/lib/node_modules/esprima-fb -
/usr/lib/node_modules/simple-fmt -
/usr/lib/node_modules/simple-is -
/usr/lib/node_modules/stringmap -
/usr/lib/node_modules/stringset -
/usr/lib/node_modules/tryor -
/usr/lib/node_modules/yargs -
node -
nodejs(engine) -
npm(esprima-fb) -
npm(yargs) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
nodejs-defs = 1.1.1-alt1_7
npm(defs) = 1.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package nodejs-defs-1.1.1-alt1_7.noarch.rpm
Source Package nodejs-defs-1.1.1-alt1_7.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install nodejs-defs rpm package:
    # sudo apt-get install nodejs-defs

Files

Path
/usr/lib/node_modules/defs/defs-cmd.js
/usr/lib/node_modules/defs/defs-main.js
/usr/lib/node_modules/defs/error.js
/usr/lib/node_modules/defs/options.js
/usr/lib/node_modules/defs/package.json
/usr/lib/node_modules/defs/run-tests.js
/usr/lib/node_modules/defs/scope.js
/usr/lib/node_modules/defs/stats.js
/usr/lib/node_modules/defs/vars.js
/usr/lib/node_modules/defs/build/
/usr/lib/node_modules/defs/build/es5/defs
/usr/lib/node_modules/defs/build/es5/defs-cmd.js
/usr/lib/node_modules/defs/build/es5/defs-main.js
/usr/lib/node_modules/defs/build/es5/error.js
/usr/lib/node_modules/defs/build/es5/options.js
/usr/lib/node_modules/defs/build/es5/run-tests.js
/usr/lib/node_modules/defs/build/es5/scope.js
/usr/lib/node_modules/defs/build/es5/stats.js
/usr/lib/node_modules/defs/build/es5/jshint_globals/LICENSE.jshint
/usr/lib/node_modules/defs/build/es5/jshint_globals/README
/usr/lib/node_modules/defs/build/es5/jshint_globals/vars.js
/usr/lib/node_modules/defs/node_modules/alter
/usr/lib/node_modules/defs/node_modules/ast-traverse
/usr/lib/node_modules/defs/node_modules/breakable
/usr/lib/node_modules/defs/node_modules/esprima-fb
/usr/lib/node_modules/defs/node_modules/simple-fmt
/usr/lib/node_modules/defs/node_modules/simple-is
/usr/lib/node_modules/defs/node_modules/stringmap
/usr/lib/node_modules/defs/node_modules/stringset
/usr/lib/node_modules/defs/node_modules/tryor
/usr/lib/node_modules/defs/node_modules/yargs
/usr/share/doc/nodejs-defs-1.1.1/BUILD.md
/usr/share/doc/nodejs-defs-1.1.1/CHANGES.md
/usr/share/doc/nodejs-defs-1.1.1/LICENSE
/usr/share/doc/nodejs-defs-1.1.1/LICENSE.jshint
/usr/share/doc/nodejs-defs-1.1.1/README
/usr/share/doc/nodejs-defs-1.1.1/README.md
/usr/share/doc/nodejs-defs-1.1.1/loop-closures.md
/usr/share/doc/nodejs-defs-1.1.1/semantic-differences.md

See Also

Package Description
nodejs-degenerator-1.0.4-alt1_4.noarch.rpm Turns sync functions into async generator functions
nodejs-del-2.2.0-alt1_6.noarch.rpm Delete files/folders using globs
nodejs-delayed-stream-1.0.0-alt1_7.noarch.rpm Buffers events from a stream until you are ready to handle them
nodejs-delegates-1.0.0-alt1_7.noarch.rpm Delegate methods and accessors to another property
nodejs-dep-graph-1.1.0-alt1_15.noarch.rpm Simple dependency graph management in JavaScript
nodejs-depd-1.1.1-alt1_4.noarch.rpm NodeJS library for displaying deprecation messages to users
nodejs-deprecated-0.0.1-alt1_6.noarch.rpm Tool for deprecating things
nodejs-destroy-1.0.4-alt1_4.noarch.rpm Destroy a stream if possible
nodejs-detect-file-0.1.0-alt1_6.noarch.rpm Detect if a filepath exists and resolves the full filepath
nodejs-detect-indent-5.0.0-alt1_4.noarch.rpm Detect the indentation of code
nodejs-detect-newline-2.1.0-alt1_4.noarch.rpm Detect the dominant newline character of a string
nodejs-detect-node-2.0.3-alt1_4.noarch.rpm Detect Node.JS (as opposite to browser environment) (reliable)
nodejs-detective-2.3.0-alt1_10.noarch.rpm Node.js module to find all calls to require()
nodejs-dezalgo-1.0.3-alt1_7.noarch.rpm Contain async insanity so that the dark pony lord doesn't eat souls
nodejs-dicer-0.2.5-alt1_4.noarch.rpm A very fast streaming multipart parser for node.js
Advertisement
Advertisement